﻿using Microsoft.Practices.Composite.Wpf.Commands;

namespace Photoviewer.Modules.Albums
{
    /// <summary>
    /// Contains global module commands
    /// </summary>
    public static class ModuleCommands
    {
        private static readonly CompositeCommand _createAlbumCommand = new CompositeCommand();
        private static readonly CompositeCommand _editAlbumDetailsCommand = new CompositeCommand();
        private static readonly CompositeCommand _removeAlbumCommand = new CompositeCommand();
        private static readonly CompositeCommand _printAlbumCommand = new CompositeCommand();

        public static CompositeCommand PrintAlbumCommand
        {
            get { return _printAlbumCommand; }
        }

        public static CompositeCommand CreateAlbumCommand
        {
            get { return _createAlbumCommand; }
        }

        public static CompositeCommand EditAlbumDetailsCommand
        {
            get { return _editAlbumDetailsCommand; }
        }

        public static CompositeCommand RemoveAlbumCommand
        {
            get { return _removeAlbumCommand; }
        }
    }
}
