﻿using System;
using System.Windows;
using System.Windows.Controls;

namespace Photoviewer.Modules.Albums.Views
{
    /// <summary>
    /// Interaction logic for CreateAlbumView.xaml
    /// </summary>
    public partial class CreateAlbumView : UserControl, ICreateAlbumView
    {
        public CreateAlbumView()
        {
            InitializeComponent();

            DataContext = this;
        }

        public string Path
        {
            get { return (string)GetValue(PathProperty); }
            set { SetValue(PathProperty, value); }
        }

        public string Title
        {
            get { return (string)GetValue(TitleProperty); }
            set { SetValue(TitleProperty, value); }
        }

        // Using a DependencyProperty as the backing store for Path.  This enables animation, styling, binding, etc...
        public static readonly DependencyProperty PathProperty =
            DependencyProperty.Register("Path", typeof(string), typeof(CreateAlbumView), new UIPropertyMetadata(String.Empty));

        // Using a DependencyProperty as the backing store for Title.  This enables animation, styling, binding, etc...
        public static readonly DependencyProperty TitleProperty =
            DependencyProperty.Register("Title", typeof(string), typeof(CreateAlbumView), new UIPropertyMetadata(String.Empty));

        private void OnBrowseAlbumPath(object sender, RoutedEventArgs e)
        {
            MessageBox.Show("Not implemented yet");
        }


    }
}
