﻿using System;
using System.ComponentModel;
using System.Windows;

namespace Photoviewer.Modules.Albums.Views
{
    /// <summary>
    /// Interaction logic for ImportProgressWindow.xaml
    /// </summary>
    public partial class ImportProgressWindow : Window
    {
        public ImportProgressWindow()
        {
            InitializeComponent();
        }

        public event EventHandler OperationCanceled;

        private void OnCancelClick(object sender, RoutedEventArgs e)
        {
            EventHandler handle = OperationCanceled;

            if (handle != null)
            {
                handle(this, EventArgs.Empty);
            }
        }

        public ImportProgressViewModel Model
        {
            get { return DataContext as ImportProgressViewModel; }
            set { DataContext = value; }
        }

        private void Window_Closing(object sender, CancelEventArgs e)
        {
            EventHandler handle = OperationCanceled;

            if (handle != null)
            {
                handle(this, EventArgs.Empty);
            }

            // Always cancel, the controller will close this window
            e.Cancel = true;
        }
    }
}
