﻿using System;
using System.Globalization;
using System.Windows.Data;

namespace Photoviewer.Common
{
    public class DevationFontSizeConverter: IValueConverter
    {
        #region IValueConverter Members

        public object Convert(object value, Type targetType, object parameter, CultureInfo culture)
        {
            double standardSize = Double.Parse(parameter.ToString());
            double deviation = Double.Parse(value.ToString());

            if (deviation == 0)
                return standardSize;

            return deviation < 0 ? standardSize * (Math.Abs(deviation) / 100) : 
                standardSize = standardSize * (1 + (Math.Abs(deviation) / 100));
        }

        public object ConvertBack(object value, Type targetType, object parameter, CultureInfo culture)
        {
            throw new NotImplementedException();
        }

        #endregion
    }
}
