﻿using System;

namespace Photoviewer.DataAccess.Contract
{
    /// <summary>
    /// Data transfer object for album data
    /// </summary>
    [Serializable]
    public class AlbumData
    {
        private string _Title;
        private string _Path;
        
        /// <summary>
        /// Gets or sets the path of the album
        /// </summary>
        public string Path
        {
            get { return _Path; }
            set { _Path = value; }
        }

        /// <summary>
        /// Gets or sets the title of the album
        /// </summary>
        public string Title
        {
            get { return _Title; }
            set { _Title = value; }
        }

        /// <summary>
        /// Checks if the provided object is the same as this object
        /// </summary>
        /// <param name="obj"></param>
        /// <returns></returns>
        public override bool Equals(object obj)
        {
            AlbumData other = obj as AlbumData;

            if (other != null)
            {
                return other.Path == Path;
            }

            return false;
        }

        /// <summary>
        /// Gets the hashcode for the object
        /// </summary>
        /// <returns></returns>
        public override int GetHashCode()
        {
            return Path.GetHashCode();
        }
    }
}
