﻿using System;
using System.Collections.ObjectModel;

namespace Photoviewer.DataAccess.Contract
{
    [Serializable]
    public class PhotoData
    {
        /// <summary>
        /// Initializes a new instance of the PhotoData class.
        /// </summary>
        public PhotoData()
        {
            Tags = new Collection<string>();
        }

        public string AlbumPath { get; set; }
        public string Path { get; set; }
        public string Title { get; set; }
        public Collection<String> Tags { get; set; }

        /// <summary>
        /// Checks if this photo is equal to other photo data
        /// </summary>
        /// <param name="obj"></param>
        /// <returns></returns>
        public override bool Equals(object obj)
        {
            PhotoData other = obj as PhotoData;

            if (other != null)
                return other.Path == Path;

            return false;
        }

        /// <summary>
        /// Gets the hash code for this object
        /// </summary>
        /// <returns></returns>
        public override int GetHashCode()
        {
            return Path.GetHashCode();
        }
    }
}
