﻿using System.Collections.ObjectModel;
using System.Xml.Serialization;

namespace Photoviewer.DataAccess.Implementation.Metadata
{
    /// <summary>
    /// Represents a photo
    /// </summary>
    [XmlRoot(ElementName="Photo")]
    public class Photo
    {
        [XmlAttribute(AttributeName="title")]
        public string Title { get; set; }

        [XmlAttribute(AttributeName="path")]
        public string Path { get; set; }

        /// <summary>
        /// Gets or sets the tags attached to the photo
        /// </summary>
        [XmlArray(ElementName="Tags")]
        [XmlArrayItem(ElementName="Tag")]
        public Collection<string> Tags { get; set; }
    }
}
