﻿using System;
using System.Runtime.Serialization;

namespace Photoviewer.DataAccess.Implementation
{
    /// <summary>
    /// Exception to indicate a problem finding the metadata for a photo
    /// </summary>
    [Serializable]
    public class PhotoMetadataNotFoundException : Exception
    {
        // constructors...
        #region PhotoMetadataException()
        /// <summary>
        /// Constructs a new PhotoMetadataException.
        /// </summary>
        public PhotoMetadataNotFoundException() { }
        #endregion
        #region PhotoMetadataException(string message)
        /// <summary>
        /// Constructs a new PhotoMetadataException.
        /// </summary>
        /// <param name="message">The exception message</param>
        public PhotoMetadataNotFoundException(string message) : base(message) { }
        #endregion
        #region PhotoMetadataException(string message, Exception innerException)
        /// <summary>
        /// Constructs a new PhotoMetadataException.
        /// </summary>
        /// <param name="message">The exception message</param>
        /// <param name="innerException">The inner exception</param>
        public PhotoMetadataNotFoundException(string message, Exception innerException) : base(message, innerException) { }
        #endregion
        #region PhotoMetadataException(SerializationInfo info, StreamingContext context)
        /// <summary>
        /// Serialization constructor.
        /// </summary>
        protected PhotoMetadataNotFoundException(SerializationInfo info, StreamingContext context) : base(info, context) { }
        #endregion
    }
}
