﻿using System;
using Microsoft.Practices.Unity;

namespace Photoviewer.DomainModel
{
    /// <summary>
    /// Contains context information required by the domain model
    /// </summary>
    public static class ModelContext
    {
        private static IUnityContainer _container;

        /// <summary>
        /// Initializes the model context
        /// </summary>
        /// <param name="container"></param>
        public static void Initialize(IUnityContainer container)
        {
            _container = container;
        }

        /// <summary>
        /// Gets the inversion of control container for the model
        /// </summary>
        public static IUnityContainer Container
        {
            get
            {
                if (_container == null)
                {
                    throw new InvalidOperationException(
                        "Container is not initialized");
                }

                return _container;
            }
        }
    }
}
