﻿using System;
using System.Windows.Controls;
using System.Windows.Input;

namespace Photoviewer.Modules.Photos.Views
{
    /// <summary>
    /// Interaction logic for PhotosView.xaml
    /// </summary>
    public partial class PhotosView : UserControl, IPhotosView
    {
        public PhotosView()
        {
            InitializeComponent();
        }

        public event EventHandler PhotoDetailsRequested;
        public event EventHandler SelectedPhotoChanged;

        public AlbumViewModel Model
        {
            get
            {
                return DataContext as AlbumViewModel;
            }
            set
            {
                DataContext = value;
            }
        }

        public string Title
        {
            get
            {
                return "Thumbnails";
            }
        }

        #region Eventhandlers

        private void ListBox_MouseDoubleClick(object sender, MouseButtonEventArgs e)
        {
            if (Model.SelectedPhoto != null && PhotoDetailsRequested != null)
            {
                PhotoDetailsRequested(this, EventArgs.Empty);
            }
        }

        private void ListBox_SelectionChanged(object sender, SelectionChangedEventArgs e)
        {
            if (Model.SelectedPhoto != null && SelectedPhotoChanged != null)
            {
                SelectedPhotoChanged(this, EventArgs.Empty);
            }
        }
        #endregion
    }
}
