﻿using System.Configuration;
using System.IO;
using System.Windows;

namespace Photoviewer
{
    /// <summary>
    /// Interaction logic for App.xaml
    /// </summary>
    public partial class App : Application
    {
        protected override void OnStartup(StartupEventArgs e)
        {
            base.OnStartup(e);

            bool shutdown = false;

            if (ConfigurationManager.AppSettings["AlbumsBasePath"] == null)
            {
                MessageBox.Show(Photoviewer.Properties.Resources.AlbumBaseLocationSettingMissing,
                    Photoviewer.Properties.Resources.StartupFailureTitle, 
                    MessageBoxButton.OK, MessageBoxImage.Error);

                Application.Current.Shutdown();

                shutdown = true;
            }

            if (!Directory.Exists(ConfigurationManager.AppSettings["AlbumsBasePath"]))
            {
                MessageBox.Show(Photoviewer.Properties.Resources.AlbumBaseLocationDoesNotExist,
                    Photoviewer.Properties.Resources.StartupFailureTitle, 
                    MessageBoxButton.OK, MessageBoxImage.Error);

                Application.Current.Shutdown();

                shutdown = true;
            }

            if(!shutdown)
            {
                Bootstrapper strapper = new Bootstrapper();
                strapper.Run();    
            }
            else
            {
                Application.Current.Shutdown(1);
            }
        }
    }
}
