﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.Practices.Composite.Modularity;
using Microsoft.Practices.Unity;
using Photoviewer.Common.Contract;
using Photoviewer.Modules.Printing.Services;

namespace Photoviewer.Modules.Printing
{
    public class PrintModule: IModule
    {
        #region Private fields

        private IUnityContainer _container;

        #endregion

        #region Public constructors

        public PrintModule(IUnityContainer container)
        {
            this._container = container;
        }

        #endregion

        #region IModule Members

        public void Initialize()
        {
            InitializeTypes();
        }

        #endregion

        #region Initialization logic

        private void InitializeTypes()
        {
            _container.RegisterType<IPrintService, PrintService>(new ContainerControlledLifetimeManager());
        }

        #endregion
    }
}
