﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Media;
using System.Windows.Xps;
using Photoviewer.Common.Contract;
using System.Windows.Documents;
using System.Windows.Controls;
using Photoviewer.Modules.Printing;
using System.Windows.Controls.Primitives;
using Photoviewer.DomainModel;
using System.Printing;
using System.Windows.Markup;

namespace Photoviewer.Modules.Printing.Services
{
    public class PrintService: IPrintService
    {
        #region IPrintService Members

        public void PrintAlbumContents(Photoviewer.DomainModel.Album album)
        {
            PrintDialog dlg = new PrintDialog();

            if(dlg.ShowDialog() == true)
            {
                AlbumDocumentBuilder builder = new AlbumDocumentBuilder();
                builder.PageWidth = dlg.PrintableAreaWidth;
                builder.PageHeight = dlg.PrintableAreaHeight;

                FixedDocumentSequence sequence = builder.BuildDocumentSequence(album);

                dlg.PrintDocument(sequence.DocumentPaginator,album.Title);
            }
        }

        /// <summary>
        /// Prints a single photo
        /// </summary>
        /// <param name="photo"></param>
        public void PrintPhoto(Photoviewer.DomainModel.Photo photo)
        {
            PrintablePhoto printable = new PrintablePhoto(photo);
            PrintDialog dlg = new PrintDialog();

            if(dlg.ShowDialog() == true)
            {
                Size printSize = new Size(dlg.PrintableAreaWidth, dlg.PrintableAreaHeight);
                Image img = new Image();
                
                img.Source = printable.ImageData;
                img.Stretch = Stretch.UniformToFill;
                img.Margin = new Thickness(48);

                dlg.PrintVisual(img,photo.Title);
            }
        }

        #endregion
    }
}
