﻿using Microsoft.Practices.Composite.Modularity;
using Microsoft.Practices.Unity;
using Photoviewer.Modules.TagCloud.Views;

namespace Photoviewer.Modules.TagCloud
{
    public class TagsModule: IModule
    {
        private readonly IUnityContainer _container;

        /// <summary>
        /// Initializes a new instance of the TagsModule class.
        /// </summary>
        /// <param name="container"></param>
        public TagsModule(IUnityContainer container)
        {
            _container = container;
        }

        #region IModule Members

        public void Initialize()
        {
            InitializeTypes();
            InitializeControllers();
        }

        private void InitializeControllers()
        {
            TagsModuleController controller = new TagsModuleController(_container);
            controller.Initialize();
        }

        private void InitializeTypes()
        {
            _container.RegisterType<ITagCloudView, TagCloudView>();
        }

        #endregion
    }
}
