﻿using System;

namespace Photoviewer.Modules.TagCloud.Views
{
    /// <summary>
    /// Contract for the tag cloud view
    /// </summary>
    public interface ITagCloudView
    {
        /// <summary>
        /// Gets or sets the model to display
        /// </summary>
        DomainModel.TagCloud Model { get; set; }

        /// <summary>
        /// Gets fired when the user requested an update of the tag cloud
        /// </summary>
        event EventHandler UpdateRequested;

        /// <summary>
        /// Gets fired when a tag was selected
        /// </summary>
        event EventHandler<TagSelectedEventArgs> TagSelected;
    }
}
