﻿using System;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Input;
using Photoviewer.DomainModel;

namespace Photoviewer.Modules.TagCloud.Views
{
    /// <summary>
    /// Interaction logic for TagCloudView.xaml
    /// </summary>
    public partial class TagCloudView : UserControl, ITagCloudView
    {
        public TagCloudView()
        {
            InitializeComponent();
        }

        public event EventHandler UpdateRequested;
        public event EventHandler<TagSelectedEventArgs> TagSelected;

        #region ITagCloudView Members

        public DomainModel.TagCloud Model
        {
            get { return DataContext as DomainModel.TagCloud; }
            set { DataContext = value; }
        }

        #endregion

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            if(UpdateRequested != null)
                UpdateRequested(this, EventArgs.Empty);
        }

        private void OnTagSelected(object sender, MouseButtonEventArgs e)
        {
            Tag selectedTag = ((e.OriginalSource as FrameworkElement).DataContext as Tag);

            if (selectedTag != null && TagSelected != null)
            {
                TagSelected(this, new TagSelectedEventArgs(selectedTag.Name));
            }
        }
    }
}
